import { Component } from '@angular/core';
import { FormGroup, FormBuilder } from '@angular/forms';
import { ActivatedRoute } from '@angular/router';
import { PasajerosService } from '../../../pasajeros/services/pasajeros.service';
import { AeropuertosService } from '../../services/aeropuertos.service';

@Component({
  selector: 'app-detalles',
  templateUrl: './detalles.component.html',
  styleUrls: ['./detalles.component.css']
})
export class DetallesComponent {

  id: number = 0;

  aeropuertoForm: FormGroup = this.formBuilder.group({
    codigo: [ '' ],
    nombre: [ ''],
    localizacion:[ ''],
    detalles:[ '']

  })

  constructor(
    private formBuilder: FormBuilder,
    private activateRoute: ActivatedRoute,
    private aeropuertoService: AeropuertosService
  ){}

    ngOnInit(): void {
      this.id = this.activateRoute.snapshot.params['id'];
      this.llenarFormulario();
    }

    private llenarFormulario(){
      this.aeropuertoService.getAeropuerto(this.id).subscribe(
        res => {
          this.aeropuertoForm.patchValue(res);
        },err => {
  
        }
      )
    }

}
